#!/bin/ksh
SVCTOOLS_HOME=/opt/hp/svctools
export SVCTOOLS_HOME
WEBES_UPDATE_HOME=`/bin/dirname $0`
export WEBES_UPDATE_HOME
COMPAQ_SVCTOOLS_HOME=/opt/compaq/svctools
export COMPAQ_SVCTOOLS_HOME
WEBESVER=440
CAVER=440
CCATVER=512
PROXYVER=131
export WEBESVER
THROUGH_SCRIPT=1
export THROUGH_SCRIPT
DESTA_CLI=/usr/sbin/desta
export DESTA_CLI
REGISTRY_HOME=${SVCTOOLS_HOME}/specific/desta/config; export REGISTRY_HOME
NOTIFICATION_TYPE=""
#export NOTIFICATION_TYPE

ACHSNOTIFY_ENABLED=0
QSAPNOTIFY_ENABLED=0
ISEENOTIFY_ENABLED=0

# These are used to restore existing startup symlinks
DESTA_SYMLINK="false"
CCAT_SYMLINK="false"

find_startup_symlinks()
{
### Ptr 91-22-1920 
  if [ -f /sbin/rc3.d/*desta ]; then
    TEMP="`/sbin/ls /sbin/rc3.d/*desta`"
    [ -n "$TEMP" ] && DESTA_SYMLINK="true"
  fi 

# if [ -f  /sbin/rc3.d/*ccat ]; then 
#   TEMP="`/sbin/ls /sbin/rc3.d/*ccat`" 
#   [ -n "$TEMP" ] && CCAT_SYMLINK="true"
# fi

}


restore_startup_symlinks()
{
  OldDir=`/usr/bin/pwd`
  if [ "$DESTA_SYMLINK" = true ]; then
     cd /sbin/rc3.d; /sbin/ln -sf ${SVCTOOLS_HOME}/common/bin/desta_startup ./S89desta
    # cd /sbin/rc2.d; /sbin/ln -sf ${SVCTOOLS_HOME}/common/bin/desta_startup ./K01desta
  fi
     cd /sbin/rc2.d; /sbin/ln -sf ${SVCTOOLS_HOME}/common/bin/desta_startup ./K01desta

#  if [ "$CCAT_SYMLINK" = true ]; then
#     cd /sbin/rc3.d; /sbin/ln -sf ${SVCTOOLS_HOME}/common/bin/wccat_startup ./S99ccat
#  fi
  cd $OldDir
}

sed_temp1_registry ()
{
   if [ -f $1 ]; then
      ARGS=$#
      /usr/bin/sed "s/$2.*$//g" $1 | /usr/bin/grep -v '^ *$' > ./tempfile
      mv ./tempfile $1
      if [ "$ARGS" -eq 3 ]; then
        /usr/bin/echo "$2$3" >> $1
      fi
   fi
}


### not needed ###
enroll_with_desta ()
{

        # Only set notification.Type if successfully enrolled.
        if [ "$NODE" = "$FULL_HOSTNAME" ]
        then
            sed_registry_file notification.Type "${NTYPE}"
            if [ "${NTYPE}" = "QSAP" ]; then
                sed_registry_file desta.QSAP "$QSAP_GATEWAY"
                sed_registry_file desta.QSAPport "$QSAP_PORT"
            fi
        else
           sed_remote_registry_file $MBR notification.Type "${NTYPE}"
            if [ "${NTYPE}" = "QSAP" ]; then
                sed_remote_registry_file $MBR desta.QSAP "$QSAP_GATEWAY"
                sed_remote_registry_file $MBR desta.QSAPport "$QSAP_PORT"
            fi
        fi

}

### not needed ###
nodeSpecificStuff()
{

### Ptr 91-22-1719

 if [ -n "$CA_INSTALLED" -o -n "$CCAT_INSTALLED" -o -n "$UNICEN_INSTALLED" ]
   then
    echo "Restarting Director on $FULL_HOSTNAME..."
    desta_process_start EXIT_CODE
    if [ "$EXIT_CODE" -ne 0 ]; then
       echo "Could not start Director on $FULL_HOSTNAME."
       exit 350
    fi
    echo "Waiting 60 seconds for Director to finish startup tasks..."
    /bin/sleep 60
 fi
}

get_installed_unicen ()
{
CUTNUM=7
BASE_PRODUCT="UNICEN[0-9][0-9][0-9]"
INSTALLED_UNICEN="`/sbin/ls ${INSTDIR}/usr/.smdb./${BASE_PRODUCT}*.lk 2> /dev/null | /usr/bin/cut -f 4 -d/ | /usr/bin/cut -c${CUTNUM}- | /usr/bin/cut -f 1 -d.`"
export INSTALLED_UNICEN
INSTALLED_UNICEN_DOT="`/usr/bin/echo $INSTALLED_UNICEN | /usr/bin/sed -n 's/\([0-9]\)\([0-9]\)\([0-9]\)/\1.\2.\3/p'`"
export INSTALLED_UNICEN_DOT
}

get_already_installed_product ()
{
   if [ "$1" = "WCC_INSTALLED" ]; then
      CUTNUM=10
      BASE_PRODUCT="WEBESBASE[0-9][0-9][0-9]"
      NEW_CUTNUM=10
      NEW_BASE_PRODUCT="WEBESBASE[0-9][0-9][0-9]"
   elif [ "$1" = "CCAT_INSTALLED" ]; then
      CUTNUM=10
#     BASE_PRODUCT="CCATBASE[0-9][0-9][0-9]"
      BASE_PRODUCT="WEBESCCAT[0-9][0-9][0-9]"
      NEW_CUTNUM=10
      NEW_BASE_PRODUCT="WEBESCCAT[0-9][0-9][0-9]"
   elif  [ "$1" = "PROXY_INSTALLED" ]; then   
      CUTNUM=11
      BASE_PRODUCT="WEBESPROXY[0-9][0-9][0-9]"
      NEW_CUTNUM=11
      NEW_BASE_PRODUCT="WEBESPROXY[0-9][0-9][0-9]"
   elif [ "$1" = "CA_INSTALLED" ]; then
      CUTNUM=9
#     BASE_PRODUCT="CABASE[0-9][0-9][0-9]"
      BASE_PRODUCT="WEBESSEA[0-9][0-9][0-9]"  
      NEW_CUTNUM=9
      NEW_BASE_PRODUCT="WEBESSEA[0-9][0-9][0-9]"
  fi
#      SEA_BASE_PRODUCT="WEBESSEA[0-9][0-9][0-9]"
#      NEW_CUTNUM_SEA=9

    INSTALLED_PRODUCT="`/sbin/ls /var/adm/sw/products/${BASE_PRODUCT}* 2> /dev/null | /usr/bin/cut -f 4 -d/ |    /usr/bin/cut -c${CUTNUM}- | /usr/bin/cut -f 1 -d.`"
   
#   if [ -z "$INSTALLED_PRODUCT" ]; then
#	INSTALLED_PRODUCT="`/sbin/ls ${INSTDIR}/usr/.smdb./${NEW_BASE_PRODUCT}*.lk 2> /dev/null | /usr/bin/cut #        -f 4 -d/ | /usr/bin/cut -c${NEW_CUTNUM}- | /usr/bin/cut -f 1 -d.`"
#    fi
   
#    if [ -z "$INSTALLED_PRODUCT" -a "$1" = "CA_INSTALLED" ]; then
#	INSTALLED_PRODUCT="`/sbin/ls ${INSTDIR}/usr/.smdb./${SEA_BASE_PRODUCT}*.lk 2> /dev/null | /usr/bin/cut #        -f 4 -d/ | /usr/bin/cut -c${NEW_CUTNUM_SEA}- | /usr/bin/cut -f 1 -d.`"
#    fi
   
   eval $1=${INSTALLED_PRODUCT}
}

get_all_installed_WEBES_products ()
{
    get_already_installed_product WCC_INSTALLED ""; export WCC_INSTALLED
    get_already_installed_product CA_INSTALLED ""; export CA_INSTALLED
    get_already_installed_product CCAT_INSTALLED ""; export CCAT_INSTALLED
    get_already_installed_product PROXY_INSTALLED ""; export PROXY_INSTALLED

### need to include for wccproxy
}

uninstall_webes ()
{
  # Find any symlinks in the system startup directories
  find_startup_symlinks

## code removed

  if [ -f ${SVCTOOLS_HOME}/specific/desta/config/DESTA.REG ];then
      NOTIFICATION_FLAG=`/usr/bin/grep "notification.Queried" ${SVCTOOLS_HOME}/specific/desta/config/DESTA.REG | /usr/bin/cut -f 2 -d=`
      export NOTIFICATION_FLAG

      NOTIFICATION_TYPE=`/usr/bin/grep "notification.Type" ${SVCTOOLS_HOME}/specific/desta/config/DESTA.REG | /usr/bin/cut -f 2 -d=`
      export NOTIFICATION_TYPE

      WEBES_CFGSTATE=`/usr/bin/grep "webes.CfgState" ${SVCTOOLS_HOME}/specific/desta/config/DESTA.REG |  /usr/bin/cut -f 2 -d=`
      export WEBES_CFGSTATE

      KIT_PATH=`/usr/bin/grep "kit.path" ${SVCTOOLS_HOME}/specific/desta/config/DESTA.REG | /usr/bin/cut -f 2       -d=`
      export KIT_PATH
  fi

#  get_registry_item common.OSmajor; INDICTCA_OSMAJOR="$GR_ITEM"
 

 # if [ "$NOTIFICATION_TYPE" = "SICL" ];then
  #   NOTIFICATION_TYPE="ACHS"
  #elif [ "$NOTIFICATION_TYPE" = "SICL QSAP" -o "$NOTIFICATION_TYPE" = "QSAP SICL" ];then
   #  NOTIFICATION_TYPE="ACHS QSAP"
  #elif [ "$NOTIFICATION_TYPE" = "ISEE SICL" -o "$NOTIFICATION_TYPE" = "SICL ISEE" ]; then
   #  NOTIFICATION_TYPE="ACHS ISEE"
  #elif [ "$NOTIFICATION_TYPE" = "NONE" ];then
   #  NOTIFICATION_TYPE=""
 # fi

### for Ptr 91-22-1719

if [ "$NOTIFICATION_TYPE" = "SICL" ];then
     NOTIFICATION_TYPE="ACHS"
     ACHSNOTIFY_ENABLED=1
  elif [ "$NOTIFICATION_TYPE" = "SICL QSAP" -o "$NOTIFICATION_TYPE" = "QSAP SICL" ];then
     NOTIFICATION_TYPE="ACHS QSAP"
     ACHSNOTIFY_ENABLED=1
     QSAPNOTIFY_ENABLED=1
  elif [ "$NOTIFICATION_TYPE" = "ISEE SICL" -o "$NOTIFICATION_TYPE" = "SICL ISEE" ]; then
     NOTIFICATION_TYPE="ACHS ISEE"
     ACHSNOTIFY_ENABLED=1
     ISEENOTIFY_ENABLED=1
   elif [ "$NOTIFICATION_TYPE" = "QSAP" ];then
     QSAPNOTIFY_ENABLED=1 
  elif [ "$NOTIFICATION_TYPE" = "NONE" ];then
     NOTIFICATION_TYPE=""
  fi

  NOTIFICATION_TYPE="SMTP $NOTIFICATION_TYPE"
 
/usr/sbin/desta msg -getconf | grep LogNotification > /dev/null 2>&1

 if [ $? -eq 0 ]; then
    LOGNOTIF_ENABLED=1
 else
    LOGNOTIF_ENABLED=0
 fi

 /usr/sbin/desta stop > /dev/null
 /bin/touch ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt

if [ "${LOGNOTIF_ENABLED}" =  "1" ]; then
/bin/echo com.compaq.svctools.desta.services.notification.LogNotification >> ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt
/bin/touch $SVCTOOLS_HOME/specific/desta/userdata/NotifyLOG.txt
NOTIFICATION_TYPE="LOG $NOTIFICATION_TYPE"
/bin/echo "LOG" >> $SVCTOOLS_HOME/specific/desta/userdata/NotifyLOG.txt
fi

if [ "${QSAPNOTIFY_ENABLED}" = "1" ]; then
/bin/echo com.compaq.svctools.desta.services.notification.HTTPNotification >> ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt
fi

if [ "${ACHSNOTIFY_ENABLED}" = "1" ]; then
 /bin/echo com.compaq.svctools.desta.services.notification.ACHSNotification >> ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt
fi

 if [ "${ISEENOTIFY_ENABLED}" = "1" ]; then
/bin/echo com.compaq.svctools.desta.services.notification.ISEENotification >> ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt
fi

/bin/echo com.compaq.svctools.desta.services.notification.SMTPNotification >> ${SVCTOOLS_HOME}/specific/desta/config/ConfigDefaultsRemove.txt

/usr/sbin/desta exec com.compaq.svctools.desta.configuration.ChangeEnrollments -unenroll ConfigDefaultsRemove.txt > /dev/null 2>&1


## code removed

  filename="${SVCTOOLS_HOME}/common/desta/config/CommonFiles/SystemState"

  if [ -f $filename ]; then
      stringname=ca.configure
      GR_ITEM=""
      GR_ITEM=`/usr/bin/grep "$stringname" $filename | /usr/bin/cut -f 2 -d=`
      if [ "$GR_ITEM" = "" ]; then
	    GR_ITEM="NOT_INSTALLED"
      fi

      if [ "$GR_ITEM" = "CONFIGURED" ]; then

	 if [ ! -d "$SVCTOOLS_HOME" ]; then
	       /usr/bin/mkdir -p $SVCTOOLS_HOME
	 fi

## code removed
	if [ -f "${SVCTOOLS_HOME}/common/ca/config/ACHSInfo" ]; then
	    /usr/bin/cp ${SVCTOOLS_HOME}/common/ca/config/ACHSInfo ${SVCTOOLS_HOME}
	 fi
	 ENABLE_DESTA=1
        
## code removed

        if [ ! -d "$SVCTOOLS_HOME/specific/ca/save" ]; then
	   /usr/bin/mkdir -p $SVCTOOLS_HOME/specific/ca/save
	fi
        /usr/bin/touch $SVCTOOLS_HOME/specific/ca/save/ca_configured

## code removed
       if [ -f ${SVCTOOLS_HOME}/specific/desta/config/NotifyCA.txt ];then
         /usr/bin/cp ${SVCTOOLS_HOME}/specific/desta/config/NotifyCA.txt ${SVCTOOLS_HOME}/specific/ca/save
       fi
    fi

       stringname=ccat.configure
       GR_ITEM=""
       GR_ITEM=`/usr/bin/grep "$stringname" $filename | /usr/bin/cut -f 2 -d=`
       if [ "$GR_ITEM" = "" ]; then
	    GR_ITEM="NOT_INSTALLED"
       fi

       if [ "$GR_ITEM" = "CONFIGURED" ]; then
	  ENABLE_DESTA=1
## code removed
          if [ ! -d "$SVCTOOLS_HOME/specific/ccat/save" ]; then
            /usr/bin/mkdir -p $SVCTOOLS_HOME/specific/ccat/save
          fi
            /usr/bin/touch ${SVCTOOLS_HOME}/specific/ccat/save/ccat_configured

## code removed
          if [ -f ${SVCTOOLS_HOME}/specific/desta/config/CCATNotify.txt ]; then
	     /usr/bin/cp ${SVCTOOLS_HOME}/specific/desta/config/CCATNotify.txt ${SVCTOOLS_HOME}/specific/ccat/save
           fi
       fi

        stringname=system.state
        GR_ITEM=""
        GR_ITEM=`/usr/bin/grep "$stringname" $filename | /usr/bin/cut -f 2 -d=`
        if [ "$GR_ITEM" = "" ]; then
	    GR_ITEM="NOT_INSTALLED"
        fi
        if [ "$GR_ITEM" = "CONFIGURED" ]; then
## code removed
           if [ ! -d "${SVCTOOLS_HOME}/specific/desta/userdata" ]; then
              /usr/bin/mkdir -p ${SVCTOOLS_HOME}/specific/desta/userdata
           fi
           /usr/bin/touch ${SVCTOOLS_HOME}/specific/desta/userdata/desta_configured
           
           COP_FILE="profile.txt Configuration.dat DESTA.REG" 
           for FILE in ${COP_FILE}; do
## code removed
     ### Ptr 91-22-1920
	     if [ -f $SVCTOOLS_HOME/specific/desta/config/$FILE ]; then
	       /usr/bin/cp $SVCTOOLS_HOME/specific/desta/config/$FILE $SVCTOOLS_HOME/specific/desta/userdata
             fi
          done
          
## code removed
          if [ -f $SVCTOOLS_HOME/specific/desta/data/Obligation ]; then
	     /usr/bin/cp $SVCTOOLS_HOME/specific/desta/data/Obligation $SVCTOOLS_HOME/specific/desta/userdata
          fi
        fi        
   fi



## code removed ##
  userInfo_filename="${SVCTOOLS_HOME}/common/desta/config/CommonFiles/UserInformation"

  if [ -f $userInfo_filename ]; then

           if [ ! -d "$SVCTOOLS_HOME" ]; then
	       /usr/bin/mkdir -p $SVCTOOLS_HOME
	   fi

## code removed
	   if [ -f "${SVCTOOLS_HOME}/common/desta/config/CommonFiles/UserInformation" ]; then
	     /usr/bin/cp ${SVCTOOLS_HOME}/common/desta/config/CommonFiles/UserInformation ${SVCTOOLS_HOME}
	   fi
   fi



/usr/bin/echo ""
/usr/bin/echo " WEBESBASE${INSTALLEDVER} will be uninstalled "
/usr/bin/echo ""

## code removed (RCM)

   get_all_installed_WEBES_products

## code removed

   if [ "$CA_INSTALLED" = "433" -o "$CA_INSTALLED" = "434" ]; then
      UNINSTALL_ANY_CA=WEBESSEA$CA_INSTALLED
   fi


   if [ "$PROXY_INSTALLED" = "122" -o "$PROXY_INSTALLED" = "123" ]; then
      UNINSTALL_ANY_PROXY=WEBESPROXY$PROXY_INSTALLED
   fi

## code removed

    if [ "$CCAT_INSTALLED" = "511" -o "$CCAT_INSTALLED" = "512" ]; then
       UNINSTALL_ANY_CCAT=WEBESCCAT$CCAT_INSTALLED
    fi

#echo "changing SVCTOOLS_HOME"
   if [ "$WCC_INSTALLED" -lt "420" ];then
      SVCTOOLS_HOME=/opt/compaq/svctools
   fi


   if [ -n "$UNINSTALL_ANY_CCAT" ];then

        /usr/sbin/swremove $UNINSTALL_ANY_CCAT
   fi

 
  if [ -n "$UNINSTALL_ANY_CA" ];then
        /usr/sbin/swremove $UNINSTALL_ANY_CA
   fi
   /usr/sbin/swremove WEBESBASE${INSTALLEDVER}


  if [ -n "$UNINSTALL_ANY_PROXY" ];then
    /sbin/rm -f /WCCProxyRemover
    /usr/bin/echo WEBESBASE${INSTALLEDVER} > /WCCProxyRemover
    /usr/sbin/swremove $UNINSTALL_ANY_PROXY
    /sbin/rm -f /WCCProxyRemover
     
   fi



   if [ $? != 0 ]; then
## code removed
         SVCTOOLS_HOME=/opt/hp/svctools           
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/ca/save/NotifyCA.txt
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/ccat/save/CCATNotify.txt
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/desta/userdata/Obligation
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/ca/save/ca_configured
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/ccat/save/ccat_configured
         /usr/bin/rm -f ${SVCTOOLS_HOME}/specific/desta/userdata/desta_configured
	 /usr/bin/rm -f $SVCTOOLS_HOME/specific/desta/userdata/Configuration.dat
	 /usr/bin/rm -rf ${SVCTOOLS_HOME}/specific/ca/save/auto
         /usr/bin/rm -f ${SVCTOOLS_HOME}/UserInformation

      exit 1
   fi    
SVCTOOLS_HOME=/opt/hp/svctools
}

check_if_WEBES_installed ()
{
   INSTALLED=""
   INSTALLEDVER=""
   INSTALLEDDOTVER=""
   if [ -d /var/adm/sw/products/WEBESBASE[0-9][0-9][0-9] ]
   then
echo ""
      INSTALLED="true"
      INSTALLEDVER="`/usr/bin/ls -d /var/adm/sw/products/WEBESBASE* 2> /dev/null | /usr/bin/cut -f 6 -d/ | /usr/bin/cut -c10- `"
      INSTALLEDDOTVER="`/usr/bin/echo $INSTALLEDVER | /usr/bin/sed -n 's/\([0-9]\)\([0-9]\)\([0-9]\)/\1.\2.\3/p'`"
   fi
   if [ -n "${INSTALLED}" ]; then
      if [ "${INSTALLEDVER}" -eq "${WEBESVER}" ]; then
	  /sbin/cat <<EOF
This procedure can be used to install/upgrade WEBES ${INSTALLEDDOTVER}. But
Web-Based Enterprise Service Suite ${INSTALLEDDOTVER} is already installed.
Please use webes_install_update to reinstall/uninstall
any optional subset of WEBES ${INSTALLEDDOTVER}.
EOF
	exit 0
      fi
      if [ "${INSTALLEDVER}" -lt "${WEBESVER}" ]; then
        if [ "${INSTALLEDVER}" -eq "433" -o "${INSTALLEDVER}" -eq "434"  ]; then  
        #if [ "${INSTALLEDVER}" -eq "410" -o "${INSTALLEDVER}" -eq "411" -o "${INSTALLEDVER}" -eq "420" -o "${INSTALLEDVER}" -eq "430"  ]; then
	   /sbin/cat << EOF

Webes V${INSTALLEDVER} is currently installed.

This script will deinstall V${INSTALLEDVER} and migrate its configuration data
to the V4.4 installation.

EOF
           echo "Do you wish to upgrade to WEBES V4.4 ([y]/n)?:\c"
           read input
           if [ "$input" = "" ]; then
              uninstall_webes
           elif [ ! -z "$input" ]; then
              input=`echo $input | tr [A-Z]  [a-z]`
              if [ "$input" = "yes" -o "$input" = "y" ]; then
                uninstall_webes
              else
                exit 0
              fi
           fi
        else
	/sbin/cat <<EOF
An older version of the Web-Based Enterprise Service Suite (${INSTALLEDDOTVER})
is currently installed. That version must be deinstalled before 
this procedure can be executed.
Please use webes_install_update to uninstall WEBES.
EOF
                exit 1
        fi
      fi
      if [ -n "${INSTALLEDVER}" ]; then
        if [ "${INSTALLEDVER}" -eq "433" -o "${INSTALLEDVER}" -eq "434"  ]; then
       # if [ "${INSTALLEDVER}" -eq "410" -o "${INSTALLEDVER}" -eq "411" -o "${INSTALLEDVER}" -eq "420" -o "${INSTALLEDVER}" -eq "430" ]; then
                continue
        else
	        /sbin/cat <<EOF
A newer version of the Web-Based Enterprise Service Suite (${INSTALLEDDOTVER})
is currently installed. That version must be deinstalled before 
this procedure can be executed.
EOF
	        exit 1
        fi
      fi
  fi
}

###########################################################################
# Start of script execution

get_all_installed_WEBES_products
if [ -n "$WCC_INSTALLED" ]; then
    NEW_WCC=WEBESBASE$WEBESVER
fi
if [ -n "$CA_INSTALLED" ]; then
    NEW_CA=WEBESSEA$CAVER
fi
if [ -n "$CCAT_INSTALLED" ]; then
    NEW_CCAT=WEBESCCAT$CCATVER
fi
if [ -n "$PROXY_INSTALLED" ]; then
    NEW_PROXY=WEBESPROXY$PROXYVER
fi


# This subroutine will check for installed Webes, then call uninstall_webes
check_if_WEBES_installed

# Now install the new version of Webes.

#/usr/sbin/setld -l $WEBES_UPDATE_HOME $NEW_WCC $NEW_CA $NEW_CCAT
/sbin/rm -f /WCCProxyInstaller
  /usr/bin/echo WEBESBASE${WEBESVER} > /WCCProxyInstaller
/usr/bin/echo " Installing WEBES PROXY Kit... "
/usr/sbin/swinstall -s `pwd`/WEBESPROXY${PROXYVER}.depot WEBESPROXY${PROXYVER}
/sbin/rm -f /WCCProxyInstaller



/usr/bin/echo "Installing WEBES Kit... "
	/usr/sbin/swinstall -s `pwd`/WEBESBASE${WEBESVER}.depot WEBESBASE${WEBESVER}



	if [ -n "$CA_INSTALLED" ]
	then
		/usr/bin/echo " Installing SEA... "
		/usr/sbin/swinstall -s `pwd`/WEBESBASE${WEBESVER}.depot WEBESSEA${CAVER}
	fi
	if [ -n "$CCAT_INSTALLED" ]
	then
		/usr/bin/echo " Installing CCAT... "
		/usr/sbin/swinstall -s `pwd`/WEBESBASE${WEBESVER}.depot WEBESCCAT${CCATVER}		
	fi
	
# Restore the symlinks in the system startup directories

restore_startup_symlinks

### Ptr 91-22-1920 ###
if [ -f $SVCTOOLS_HOME/common/install/wcc_install_440.sh ]; then
    . $SVCTOOLS_HOME/common/install/wcc_install_440.sh
else
   echo "could not find the required file"
   exit 0
fi

if [ "$ENABLE_DESTA" = "1" ]; then
   /sbin/ln -sf ${SVCTOOLS_HOME}/common/bin/desta /usr/sbin/desta
#   if [ -f $SVCTOOLS_HOME/common/install/wcc_install_440.sh ]; then
#      . $SVCTOOLS_HOME/common/install/wcc_install_440.sh
#   else
#      echo "could not find the required file"
#      exit 0
#   fi
   get_hostnames
   isClusterMember
   if [ -n "$IS_CLUSTER_MEMBER" ]; then
      get_registry_item common.ClusterID; MY_MEMBER_ID="$GR_ITEM"
      get_other_cluster_members
      get_cluster_hostnames
   else
      MY_MEMBER_ID="member0"
      MBR_NODENAMES=$FULL_HOSTNAME
      OTHER_MBRS_LIST=""
   fi
   if [ "$IS_CLUSTER_MEMBER" = "true" ]; then
      CLU_DIR=/usr/cluster/members
      NODE_DIR=opt/hp/svctools
      TOUCH_DIR=`/sbin/ls -1 $CLU_DIR`
      for DIR in ${TOUCH_DIR}; do
	 if [ -f $CLU_DIR/$DIR/$NODE_DIR/specific/desta/userdata/DESTA.REG ]
         then
	   GR_ITEM=`/usr/bin/grep "webes.startOnBoot" $CLU_DIR/$DIR/$NODE_DIR/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	   if [ "$GR_ITEM" = "" ]; then
	      continue
	   else
	      sed_temp_registry $CLU_DIR/$DIR/$NODE_DIR/specific/desta/config/DESTA.REG webes.startOnBoot "$GR_ITEM"
	   fi
	   GR_ITEM=`/usr/bin/grep "desta.QSAPport" $CLU_DIR/$DIR/$NODE_DIR/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	   if [ "$GR_ITEM" = "" ]; then
	      continue
	   else
	      sed_temp_registry $CLU_DIR/$DIR/$NODE_DIR/specific/desta/config/DESTA.REG desta.QSAPport "$GR_ITEM"
	   fi
	   GR_ITEM=`/usr/bin/grep "desta.QSAP=" $CLU_DIR/$DIR/$NODE_DIR/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	   if [ "$GR_ITEM" = "" ]; then
	      continue
	   else
	      sed_temp1_registry $CLU_DIR/$DIR/$NODE_DIR/specific/desta/config/DESTA.REG desta.QSAP= "$GR_ITEM"
	   fi
	   rm -f $CLU_DIR/$DIR/$NODE_DIR/specific/desta/userdata/DESTA.REG
	  fi
      done
      if [ -f $CLU_DIR/member0/$NODE_DIR/specific/desta/userdata/DESTA.REG ]
      then
	  rm -f $CLU_DIR/member0/$NODE_DIR/specific/desta/userdata/DESTA.REG
      fi
     if [ "$IS_CLUSTER_MEMBER" = "true" ]; then
      CLU_DIR=/usr/cluster/members
      NODE_DIR_COMPAQ=opt/compaq/svctools
      TOUCH_DIR=`/sbin/ls -1 $CLU_DIR`
      for DIR in ${TOUCH_DIR}; do
        if [ -f $CLU_DIR/$DIR/$NODE_DIR_COMPAQ/specific/ca/save/*.wup ]; then
         if [ -d $CLU_DIR/$DIR/$NODE_DIR/specific/ca/html/profiles ]
         then
           /usr/bin/cp -p $CLU_DIR/$DIR/$NODE_DIR_COMPAQ/specific/ca/save/*.wup $CLU_DIR/$DIR/$NODE_DIR/specific/ca/html/profiles  
         fi
        fi
      done
     fi
   else
      if [ -f $SVCTOOLS_HOME/specific/desta/userdata/DESTA.REG ]
      then
	  GR_ITEM=`/usr/bin/grep "startOnBoot" $SVCTOOLS_HOME/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	  if [ "$GR_ITEM" = "" ]; then
	     continue
	  else
	     sed_temp_registry $SVCTOOLS_HOME/specific/desta/config/DESTA.REG webes.startOnBoot "$GR_ITEM"
	  fi
	   GR_ITEM=`/usr/bin/grep "desta.QSAPport" $SVCTOOLS_HOME/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	   if [ "$GR_ITEM" = "" ]; then
	      continue
	   else
	      sed_temp_registry $SVCTOOLS_HOME/specific/desta/config/DESTA.REG desta.QSAPport "$GR_ITEM"
	   fi
	   GR_ITEM=`/usr/bin/grep "desta.QSAP=" $SVCTOOLS_HOME/specific/desta/userdata/DESTA.REG | /usr/bin/cut -f 2 -d=`
	   if [ "$GR_ITEM" = "" ]; then
	      continue
	   else
	      sed_temp1_registry $SVCTOOLS_HOME/specific/desta/config/DESTA.REG desta.QSAP= "$GR_ITEM"
	   fi
	  rm -f $SVCTOOLS_HOME/specific/desta/userdata/DESTA.REG
      fi
   fi
    get_registry_item notification.Type; TYPE="$GR_ITEM"
    get_supported_ISEE

### Change made for Ptr 1878 ###

QSAP_TYPE=""
ACHS_TYPE=""

QSAP_TYPE=`/usr/bin/echo "$TYPE" | /usr/bin/grep QSAP`
if [ -n "$QSAP_TYPE" ]; then
   #TYPE="QSAP"
   QSAP_TYPE="QSAP" 
fi

ACHS_TYPE=`/usr/bin/echo "$TYPE" | /usr/bin/grep ACHS`
if [ -n "$ACHS_TYPE" ]; then
   #TYPE="ACHS"
   ACHS_TYPE="ACHS"
fi

### Change made for Ptr 1878 ###

### CSG/QSAP notification is already enabled, and ISEE is NOT installed
    if [ -z "$ISEE_INSTALLED" -a  "$QSAP_TYPE" = "QSAP" ]; then
       echo "...configuring available Service Provider Notification methods:"
       echo ""
       echo "Please note:"
       echo ""
       echo "PRS (CSG/QSAP) will not be supported after February 2005. It is being replaced"
       echo "with ISEE. OSEM will continue to be supported, but it does not send"
       echo "notifications to HP customer support. To install ISEE, please contact your"
       echo "local field representative or visit the ISEE page at:"
       echo "http://www.hp.com/hps/hardware/hw_enterprise.html"
       echo "Click on the link "Download ISEE"."
       echo ""
       echo ""
       echo ""
       echo "With the ISEE Client installed, you can issue the following commands to switch"
       echo "to ISEE notification:"
       echo "desta qsap off"
       echo "desta isee on"
       echo ""
       echo "" 
       echo "Continuing WEBES upgrade with PRS CSG notification enabled."
       echo "" 
       #enroll_with_desta
    fi
### CSG/QSAP notification is already enabled, and ISEE is installed
    if [ -n "$ISEE_INSTALLED" -a "$QSAP_TYPE" = "QSAP" ]; then
        ### ISEE is NOT enabled in WEBES
        if [ "$ISEENOTIFY_ENABLED" = 0 ]; then
           echo ""
           echo "...configuring available Service Provider Notification methods:"
           echo ""
           echo "Please note:"
           echo ""
           echo "PRS (CSG/QSAP) will not be supported after February 2005. It is being replaced"
           echo "with ISEE. OSEM will continue to be supported, but it does not send"
           echo "notifications to HP customer support. The ISEE Client program is currently"
           echo "installed on your system. You can issue the following command to enable WEBES"
           echo "to issue notifications via ISEE:"
           echo "desta isee on"
           echo ""
           echo ""
           echo "If you are currently using PRS rather than OSEM, you should then disable use of"
           echo "PRS to prevent duplicate notifications from both PRS and ISEE, with the command:"
           echo "desta qsap off"
           echo "Disabling is not necessary if you are using OSEM instead of PRS, since OSEM"
           echo "does not send notifications to HP customer support."
           echo ""
           echo "Continuing WEBES upgrade with PRS or OSEM notification enabled."
           echo ""
        ### ISEE is enabled in WEBES
        elif [ "$ISEENOTIFY_ENABLED" = 1 ]; then 
        #elif [ -n "$ISEE_INSTALLED" -a "$TYPE" = "QSAP" ]; then
          echo "...configuring available Service Provider Notification methods:"
	  echo ""
          echo "Please note:"
          echo ""
          echo " Note: Instant Support Enterprise Edition (ISEE) is installed, andwill be used."
	  echo "CSG was turned on earlier and will be turned off now"
	  echo ""
          echo "PRS (CSG/QSAP) will not be supported after February 2005. It is being replaced"
          echo "with ISEE. ISEE notification is currently enabled, which should NOT be"
          echo "possible. Please contact WEBES customer support."
          echo "Continuing WEBES upgrade with both PRS/OSEM and ISEE notifications enabled."
          echo ""
	fi 
      #if [ -n "$IS_CLUSTER_MEMBER" ]; then
      #   turnOffOnRemoteNodes
      #else
      #  echo "Switching off QSAP on $FULL_HOSTNAME..." 
      # /usr/sbin/desta qsap off silent
      #fi
      # NFNAME="ISEE"; NSNAME="ISEE"; NTYPE="ISEE"
      # enroll_with_desta
    fi
### ACHS/SICL/DSNlink is already enabled, and ISEE is NOT installed
    if [ -z "$ISEE_INSTALLED" -a "$ACHS_TYPE" = "ACHS" ]; then
        echo "...configuring available Service Provider Notification methods:"
        echo ""
        echo "Please note:"
        echo ""
        echo "System Initiated Call Logging (SICL) via DSNlink will not be supported after"
        echo "January 2005. It is being replaced with ISEE. To install ISEE, please contact"
        echo "your local field representative or visit the ISEE page at:"
        echo "http://www.hp.com/hps/hardware/hw_enterprise.html"
        echo "Click on the link "Download ISEE"."
        echo ""
        echo "With the ISEE Client installed, you can issue the following commands to switch"
        echo "to ISEE notification:"
        echo "desta sicl off"
        echo "desta isee on"
        echo ""
        echo "Continuing WEBES upgrade with SICL DSNlink notification enabled."
        echo ""
      fi 
### ACHS/SICL/DSNlink notification is already enabled, and ISEE is installed
    if [ -n "$ISEE_INSTALLED" -a "$ACHS_TYPE" = "ACHS" ]; then
        ### ISEE is not enabled in WEBES
        if [ "$ISEENOTIFY_ENABLED" = 0 ]; then
           echo "...configuring available Service Provider Notification methods:"
           echo ""
           echo "Please note:"
           echo ""
           echo "System Initiated Call Logging (SICL) via DSNlink will not be supported after"
           echo "January 2005. It is being replaced with ISEE. OSEM will continue to be"
           echo "supported, but it does not send notifications to HP customer support. The ISEE"
           echo "Client program is currently installed on your system. You can issue the"
           echo "following commands to switch to ISEE notification:"
           echo "desta sicl off"
           echo "desta isee on"
           echo ""
           echo "Continuing WEBES upgrade with SICL DSNlink notification enabled."
           echo ""
        ### ISEE is enabled in WEBES
        elif [ "$ISEENOTIFY_ENABLED" = 1 ]; then 
           echo "...configuring available Service Provider Notification methods:"
	   echo ""
           echo "Please note:"
           echo ""
           echo " Note: Instant Support Enterprise Edition (ISEE) is installed, andwill be used."
	   echo "SICL was turned on earlier and will be used along with ISEE"
	   echo "So will get duplicate problem reports from SICL and ISEE"
	   echo ""
           echo "System Initiated Call Logging (SICL) via DSNlink will not be supported after"
           echo "January 2005. It is being replaced with ISEE. OSEM will continue to be"
           echo "supported, but it does not send notifications to HP customer support. The ISEE"
           echo "Client program is currently installed and enabled for WEBES notifications on"
           echo "your system. You can issue the following command to turn off SICL DSNlink"
           echo "notification:"
           echo "desta sicl off"
           echo ""
           echo "Continuing WEBES upgrade with SICL DSNlink notification enabled."
           echo ""
        fi
       # NFNAME="ISEE"; NSNAME="ISEE"; NTYPE="ISEE SICL"
       #enroll_with_desta
     fi
    if [ -n "$ISEE_INSTALLED" -a "$TYPE" = "SMTP" ];then
        echo "...configuring available Service Provider Notification methods:"
	echo ""
        echo " Note: Instant Support Enterprise Edition (ISEE) is installed, andwill be used."
	echo ""
       # NFNAME="ISEE"; NSNAME="ISEE"; NTYPE="ISEE"
        #enroll_with_desta
    fi
   get_all_installed_products
   if [ -n "$IS_CLUSTER_MEMBER" ]; then

# Fix for PTR 91-22-1642
      ${SVCTOOLS_HOME}/common/bin/desta servob installationUpdate
      /usr/bin/echo ""
      /usr/bin/echo "...copying Obligation to other cluster nodes"
      /usr/bin/cp -p $SVCTOOLS_HOME/specific/desta/data/Obligation $CLU_DIR/member0/opt/hp/svctools/specific/desta/data

      for M in $OTHER_MBRS_LIST; do
          /usr/bin/cp -p $SVCTOOLS_HOME/specific/desta/data/Obligation $CLU_DIR/$M/opt/hp/svctools/specific/desta/data
      done
      /usr/bin/echo "...done"
# Fix for PTR 91-22-1642

      executeOnRemoteNodes
   else

# Fix for PTR 91-22-1642
      ${SVCTOOLS_HOME}/common/bin/desta servob installationUpdate
# Fix for PTR 91-22-1642

/usr/sbin/desta exec com.compaq.svctools.desta.configuration.ChangeEnrollments -enroll ConfigDefaultsDESTA.txt > /dev/null 2>&1

      START_FLAG=`/usr/bin/grep "startOnBoot" $SVCTOOLS_HOME/specific/desta/config/DESTA.REG | /usr/bin/cut -f 2 -d=`
      if [ "$START_FLAG" = "true" ]; then
          nodeSpecificStuff
      else
     	 echo "desta is not configured to start at boot time on this machine"
      fi
   fi
fi

### Ptr 91-22-1920
sed_registry_file webes.Installed "t"
